diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index 9cc332b6ad..71af227972 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -3293,6 +3293,17 @@ SELECT pid, wait_event_type, wait_event FROM pg_stat_activity WHERE wait_event i
    </tgroup>
   </table>
 
+  <warning>
+   <para>
+    Using <function>pg_stat_reset()</function> also resets the counters that
+    autovacuum uses to allow it to determine when to trigger a vacuum or an
+    analyze.  Resetting these counters can cause autovacuum to neglect work
+    that it should be doing, which can cause problems such as table bloat or
+    out-dated table statistics.  A database-wide <command>ANALYZE</command>
+    is recommended after the statistics have been reset.
+   </para>
+  </warning>
+
   <para>
    <function>pg_stat_get_activity</function>, the underlying function of
    the <structname>pg_stat_activity</structname> view, returns a set of records
